<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<f:if condition="{session}">
    <div class="c-header">
        <div class="c-header__container">
            <div class="c-header__inner">
                <h1>{session.topic}</h1>
            </div>
        </div>
    </div>

    <div class="o-content   o-content--session">
        <div class="o-content__inner">
            <div class="o-content__row">
                <div class="o-content__item">
                    <div class="o-content__text">
                        <f:format.html>{session.description}</f:format.html>

                        <f:if condition="{session.type} || {session.level} || {session.tags}">
                            <p>
                                <f:if condition="{session.type}">
                                    <f:comment><!-- Type --></f:comment>
                                    <f:if condition="{session.type} == 1">{f:translate(key: 'type-talk')}</f:if>
                                    <f:if condition="{session.type} == 2">{f:translate(key: 'type-tutorial')}</f:if>
                                    <f:if condition="{session.type} == 3">{f:translate(key: 'type-workshop')}</f:if>
                                    <f:if condition="{session.type} == 4">{f:translate(key: 'type-other')}</f:if>
                                    <f:if condition="{session.type} == 5">{f:translate(key: 'type-break')}</f:if>
                                    <f:if condition="{session.type} == 6">{f:translate(key: 'type-wish')}</f:if>
                                    <f:if condition="{session.level} || {session.tags}">|</f:if>
                                </f:if>
                                <f:if condition="{session.level}">
                                    <f:comment><!-- Level --></f:comment>
                                    <f:if condition="{session.level} == 1">{f:translate(key: 'level-starter')}</f:if>
                                    <f:if condition="{session.level} == 2">{f:translate(key: 'level-advanced')}</f:if>
                                    <f:if condition="{session.level} == 3">{f:translate(key: 'level-pro')}</f:if>
                                    <f:if condition="{session.tags}">|</f:if>
                                </f:if>
                                <f:if condition="{session.tags}">
                                    <f:comment><!-- Tags --></f:comment>
                                    <f:for each="{session.tags}" as="tag">
                                        <span class="sessionplaner-tag{f:if(condition: tag.color, then: ' sessionplaner-tag-{tag.color}')}">{tag.label}</span>
                                    </f:for>
                                </f:if>
                            </p>
                        </f:if>
                    </div>

                    <f:if condition="{session.links}">
                        <f:comment><!-- Links --></f:comment>
                        <div class="o-content__text">
                            <h3>{f:translate(key: 'links')}</h3>
                            <ul class="o-unordered__list">
                                <f:for each="{session.links}" as="linkitem">
                                    <li>
                                        <f:link.typolink parameter="{linkitem.link}" class="o-link o-link--underlined">{linkitem.linkText}</f:link.typolink>
                                    </li>
                                </f:for>
                            </ul>
                        </div>
                    </f:if>

                    <f:if condition="{session.documents}">
                        <f:comment><!-- Documents --></f:comment>
                        <div class="o-content__text">
                            <h3>{f:translate(key: 'documents')}</h3>
                            <ul class="o-unordered__list">
                                <f:for each="{session.documents}" as="document">
                                    <li>
                                        <f:link.typolink parameter="{document.publicUrl}" class="o-link o-link--underlined" target="_blank">
                                            {f:if(condition: '{document.properties.title}', then: '{document.properties.title}', else: '{document.name}')}
                                        </f:link.typolink>
                                        <f:if condition="{document.properties.description}">
                                            <p>{document.properties.description}</p>
                                        </f:if>
                                    </li>
                                </f:for>
                            </ul>
                        </div>
                    </f:if>
                </div>
                <div class="o-content__item">
                    <div class="o-content__text">
                        <f:if condition="{session.day}">
                            <f:comment><!-- Day --></f:comment>
                            <p>
                                <strong><f:translate extensionName="t3oce_sitepackage" key="sessions.box.date.label" /></strong><br />
                                <f:format.date format="d.m.Y">@{session.day.date}</f:format.date>
                            </p>
                        </f:if>
                        <f:if condition="{session.slot}">
                            <f:comment><!-- Time --></f:comment>
                            <p>
                                <strong><f:translate extensionName="t3oce_sitepackage" key="sessions.box.time.label" /></strong><br />
                                <f:variable name="startDateHour"><f:format.date format="H"><sessionplanervh:format.time value="{session.slot.start}" /></f:format.date></f:variable>
                                <f:variable name="startDateMinutes"><f:format.date format="i"><sessionplanervh:format.time value="{session.slot.start}" /></f:format.date></f:variable>
                                <f:variable name="startDateTime"><sessionplanervh:format.time value="{session.slot.start}" /></f:variable>
                                <f:render
                                    section="renderingHours"
                                    arguments="{
                                        hour: startDateHour,
                                        minutes: startDateMinutes,
                                        datetime: startDateTime
                                    }"
                                />
                                <f:if condition="{session.slot.end}">
                                    -
                                    <f:variable name="endDateHour"><f:format.date format="H"><sessionplanervh:format.time value="{session.slot.end}" /></f:format.date></f:variable>
                                    <f:variable name="endDateMinutes"><f:format.date format="i"><sessionplanervh:format.time value="{session.slot.end}" /></f:format.date></f:variable>
                                    <f:variable name="endDateTime"><sessionplanervh:format.time value="{session.slot.end}" /></f:variable>
                                    <f:render
                                        section="renderingHours"
                                        arguments="{
                                            hour: endDateHour,
                                            minutes: endDateMinutes,
                                            datetime: endDateTime
                                        }"
                                    />
                                </f:if>
                                <f:translate extensionName="t3oce_sitepackage" key="global.timeFormat.suffix.readable" />
                            </p>
                        </f:if>
                        <f:if condition="{session.room}">
                            <f:comment><!-- Room --></f:comment>
                            <p>
                                <strong><f:translate extensionName="t3oce_sitepackage" key="sessions.box.location.label" /></strong><br />
                                {session.room.name}
                                <f:if condition="{session.room.streamLink}">
                                    <f:comment><!-- Streaming link --></f:comment>
                                    (<f:link.typolink parameter="{session.room.streamLink}" class="o-link o-link--underlined"><f:translate extensionName="t3oce_sitepackage" key="sessions.box.streamlink" /></f:link.typolink>)
                                </f:if>
                            </p>
                        </f:if>

                        <f:if condition="{session.speakers}">
                            <f:then>
                                <f:comment><!-- Speaker records --></f:comment>
                                <div class="o-content--session__speakers">
                                    <f:if condition="!{settings.session.detail.linkToSpeaker.enable}">
                                        <p class="o-content--session__speakers__label">
                                            <strong>
                                                <f:if condition="{session.speakers -> f:count()} > 1">
                                                    <f:then><f:translate extensionName="t3oce_sitepackage" key="sessions.box.speakers.label" /></f:then>
                                                    <f:else><f:translate extensionName="t3oce_sitepackage" key="sessions.box.speaker.label" /></f:else>
                                                </f:if>
                                            </strong>
                                        </p>
                                    </f:if>
                                    <f:for each="{session.speakers}" as="speaker" iteration="speakerIterator">
                                        <f:if condition="{settings.session.detail.linkToSpeaker.enable}">
                                            <f:then>
                                                <f:if condition="{speakerIterator.isFirst}">
                                                    <p><strong><f:translate extensionName="t3oce_sitepackage" key="sessions.box.speaker.label" /></strong><br />
                                                </f:if>
                                                <f:link.action
                                                    pageUid="{settings.speaker.detail.pid}"
                                                    pluginName="Speaker"
                                                    controller="Speaker"
                                                    action="show"
                                                    arguments="{speaker: speaker}"
                                                    title="{speaker.name}"
                                                    class="o-link o-link--underlined"
                                                >
                                                    {speaker.name}</f:link.action>{f:if(condition: '{speakerIterator.isLast}', then: '', else: ',')}
                                                <f:if condition="{speakerIterator.isLast}">
                                                    </p>
                                                </f:if>
                                            </f:then>
                                            <f:else>
                                                <div class="o-content--session__speaker-item">
                                                    <p>
                                                        {speaker.name}
                                                        <f:if condition="{speaker.company}"><br>{speaker.company}</f:if>
                                                    </p>
                                                    <f:render section="speakerSocialMedia" arguments="{speaker: speaker}" />
                                                </div>
                                            </f:else>
                                        </f:if>
                                    </f:for>
                                </div>
                            </f:then>
                            <f:else>
                                <f:if condition="{session.speaker}">
                                    <f:comment><!-- Speaker plain text --></f:comment>
                                    <p>
                                        <strong><f:translate extensionName="t3oce_sitepackage" key="sessions.box.speaker.label" /></strong><br />
                                        {session.speaker}
                                    </p>
                                </f:if>
                            </f:else>
                        </f:if>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <f:if condition="{settings.session.detail.linkToOverview.enable}">
        <f:comment><!-- Link to overview --></f:comment>
        <div class="o-content o-content--text">
            <div class="o-content__inner">
                <div class="o-content__text">
                    <f:link.page pageUid="{settings.session.detail.linkToOverview.parameter}" class="o-link o-link--underlined">
                        <f:translate extensionName="t3oce_sitepackage" key="sessions.detail.link.toOverview" />
                    </f:link.page>
                </div>
            </div>
        </div>
    </f:if>
</f:if>

<f:section name="renderingHours">
    <f:if condition="({0: hour} < {0: 13})">
        <f:then>
            <f:if condition="({0: hour} == {0: 00})"><f:then>0</f:then><f:else>{hour}</f:else></f:if><f:translate extensionName="t3oce_sitepackage" key="global.timeFormat.divider" />{minutes}
            <f:format.date format="{f:translate(key:'global.timeFormat.suffix', extensionName: 't3oce_sitepackage')}">{datetime}</f:format.date>
        </f:then>
        <f:else>
            <f:if condition="({0: hour} >= {0: 13})">
                <f:translate extensionName="t3oce_sitepackage" key="global.timeFormat.{hour}" /><f:translate extensionName="t3oce_sitepackage" key="global.timeFormat.divider" />{minutes}
                <f:format.date format="{f:translate(key:'global.timeFormat.suffix', extensionName: 't3oce_sitepackage')}">{datetime}</f:format.date>
            </f:if>
        </f:else>
    </f:if>
</f:section>

<f:section name="speakerSocialMedia">
    <f:if condition="{speaker.website} || {speaker.twitter} || {speaker.linkedin} || {speaker.xing}">
        <f:comment><!-- Social media --></f:comment>
        <ul class="o-menu-social__list">
            <f:if condition="{speaker.twitter}">
                <f:comment><!-- Twitter --></f:comment>
                <li class="o-menu-social__item">
                    <f:link.typolink
                        parameter="https://twitter.com/{speaker.twitter}"
                        target="_blank"
                        class="o-menu-social__link"
                        additionalAttributes="{rel: 'noopener', itemprop: 'url'}"
                        title="{f:translate(key:'socialMedia.twitter.link.label', extensionName:'t3oce_sitepackage')}"
                    >
                        <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.twitter.link.label" /></span>
                        <i class="icon icon-twitter" aria-hidden="true"></i>
                    </f:link.typolink>
                </li>
            </f:if>
            <f:if condition="{speaker.linkedin}">
                <f:comment><!-- LinkedIn --></f:comment>
                <li class="o-menu-social__item">
                    <f:link.typolink
                        parameter="https://www.linkedin.com/in/{speaker.linkedin}"
                        target="_blank"
                        class="o-menu-social__link"
                        additionalAttributes="{rel: 'noopener', itemprop: 'url'}"
                        title="{f:translate(key:'socialMedia.linkedin.link.label', extensionName:'t3oce_sitepackage')}"
                    >
                        <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.linkedin.link.label" /></span>
                        <i class="icon icon-linkedin2" aria-hidden="true"></i>
                    </f:link.typolink>
                </li>
            </f:if>
            <f:if condition="{speaker.xing}">
                <f:comment><!-- Xing --></f:comment>
                <li class="o-menu-social__item">
                    <f:link.typolink
                        parameter="https://www.xing.com/profile/{speaker.xing}"
                        target="_blank"
                        class="o-menu-social__link"
                        additionalAttributes="{rel: 'noopener', itemprop: 'url'}"
                        title="{f:translate(key:'socialMedia.xing.link.label', extensionName:'t3oce_sitepackage')}"
                    >
                        <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.xing.link.label" /></span>
                        <i class="icon icon-xing2" aria-hidden="true"></i>
                    </f:link.typolink>
                </li>
            </f:if>
            <f:if condition="{speaker.website}">
                <f:comment><!-- Website --></f:comment>
                <li class="o-menu-social__item">
                    <f:link.typolink
                        parameter="{speaker.website}"
                        target="_blank"
                        class="o-menu-social__link"
                        additionalAttributes="{rel: 'noopener', itemprop: 'url'}"
                        title="{f:translate(key:'socialMedia.website.link.label', extensionName:'t3oce_sitepackage')}"
                    >
                        <span class="sr-only"><f:translate extensionName="t3oce_sitepackage" key="socialMedia.website.link.label" /></span>
                        <i class="icon icon-arrow-up-right2" aria-hidden="true"></i>
                    </f:link.typolink>
                </li>
            </f:if>
        </ul>
    </f:if>
</f:section>

</html>
